require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xpowershellexecutionpolicy',
  dscmeta_resource_friendly_name: 'xPowerShellExecutionPolicy',
  dscmeta_resource_name: 'MSFT_xPowerShellExecutionPolicy',
  dscmeta_module_name: 'xPowerShellExecutionPolicy',
  dscmeta_module_version: '3.0.0.0',
  docs: 'The DSC xPowerShellExecutionPolicy resource type.
         Automatically generated from version 3.0.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_executionpolicyscope: {
      type: "Optional[Enum['CurrentUser', 'LocalMachine', 'MachinePolicy', 'Process', 'UserPolicy']]",
      desc: 'Defines the scope for the preference of the Windows PowerShell execution policy.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_executionpolicy: {
      type: "Enum['Bypass', 'Restricted', 'AllSigned', 'RemoteSigned', 'Unrestricted']",
      desc: 'Changes the preference for the Windows PowerShell execution policy.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
  },
)
